{% extends 'base.html' %}
{% block body %}
{% load static %}

<div class="col-md-12 mb-3">
    <!-- top row -->
    <div class="card">
        <h5 class="card-header bg-custom1 text-light">Gestion Cursos de desarrolo Web DJ-UNL</h5>
        <div class="card-body">
            <div class="row">
                <div class="col-md-3 text-center border-right">
                    <div class="well das-box">
                        <h2><i class="fas fa-user-friends"></i></h2>
                        <h4 class="text-muted">{{students.count}}</h4>
                        <h4>Estudiantes</h4>
                    </div>
                </div>
                <div class="col-md-3 text-center border-right">
                    <div class="well">
                        <h2><i class="fas fa-chalkboard-teacher"></i></h2>
                        <h4 class="text-muted">{{teachers.count}}</h4>
                        <h4>Expositores</h4>
                    </div>
                </div>
                <div class="col-md-3 text-center border-right">
                    <div class="well">
                        <h2><i class="fas fa-network-wired"></i></h2>
                        <h4 class="text-muted">{{clubs.count}}</h4>
                        <h4>Costo 100$</h4>
                    </div>
                </div>
                <div class="col-md-3 text-center">
                    <div class="well">
                        <h2><i class="fas fa-book-reader"></i></h2>
                        <h4 class="text-muted">1000</h4>
                        <h4>Libros</h4>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</div>

<hr>
<div class="row mt-4">
    <!-- row2 -->
    <div class="col-md-6">
        <!-- event -->
        <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
            <div class="carousel-inner">
                <div class="carousel-item active">
                    <img class="d-block w-100" src="{% static 'images/event1.jpg' %}" alt="First slide" height="240">
                    <div class="carousel-caption d-none d-md-block">
                        <h5 class="d-block bg-custom1-fade">DPI-Event-101</h5>
                        <p class="d-block bg-custom1-fade">Zamora-Zumbi</p>
                    </div>
                </div>
                <div class="carousel-item">
                    <img class="d-block w-100" src="{% static 'images/event2.jpg' %}" alt="Second slide" height="240">
                    <div class="carousel-caption d-none d-md-block">
                        <h5 class="d-block bg-custom1-fade">DPI-Event-102</h5>
                        <p class="d-block bg-custom1-fade">Loja  | Ecuador</p>
                    </div>
                </div>
                <div class="carousel-item">
                    <img class="d-block w-100" src="{% static 'images/event3.jpg' %}" alt="Third slide" height="240">
                    <div class="carousel-caption d-none d-md-block">
                        <h5 class="d-block bg-custom1-fade">DPI-Event-103</h5>
                        <p class="d-block bg-custom1-fade">England | Royal Park</p>
                    </div>
                </div>
            </div>
            <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
            </a>
        </div>
    </div>
    <div class="col-md-6">
        <div class="row">
            <div class="col-md-6 mb-3">
                <!-- meetings -->
                <div class="card bg-warning text-light">
                    <div class="card-body" id="meetingbtn" data-toggle="modal" data-target="#Modalmeeting">
                        {% if meetings %}
                        <h4>Some meetings are scheduled</h4>
                        <span class="badge badge-dark">
                            {{ meetings.count }}
                        </span>
                        {% else %}
                        <h4>No meeting scheduled</h4>
                        {% endif %}
                    </div>
                </div>
            </div>

            <div class="col-md-6 mb-3">
                <!-- student care -->
                <div class="card bg-danger text-light">
                    <div class="card-body">
                        Student Care: Absent
                        <span class="badge badge-dark">10</span>
                    </div>
                </div>
            </div>

            <div class="col-md-6 mb-3">
                <!-- todo -->
                <div class="card bg-secondary text-light">
                    <div class="card-body" id="todobtn" data-toggle="modal" data-target="#Modaltodo">
                        <p>
                            ToDo List
                        </p>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>


<!-- Modal for meetings -->
<div class="modal fade" id="Modalmeeting" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header bg-custom1 text-light">
                <h5 class="modal-title" id="exampleModalLabel">Detalle de Reunion</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <ul class="list-group">
                    {% for meeting in meetings %}
                    <li class="list-group-item"><span>{{ meeting }} </span></li>
                    {% endfor %}
                </ul>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn bg-custom1 text-light" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

<!-- Modal for todo -->
<div class="modal fade" id="Modaltodo" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
    aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header bg-custom1 text-light">
                <h5 class="modal-title" id="exampleModalLabel">My Todo Board</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <ul class="list-group">
                    {% for do in todos %}
                    <li class="list-group-item"><span>{{ do.todo }} </span>
                        <span class="float-right">{{ do.todo_time|date:"Y-m-d:g-i" }}</span></li>
                    {% endfor %}
                </ul>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn bg-custom1 text-light" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

{% endblock %}